Subject: Bug#1369: [X2Go-Dev] Bug#1369: Keys do not release when using Emacs in X2GO Client

From: Yan Zhang <[email-masked]>
Date: Wed, 13 Mar 2019 16:09:51 +0800

Hi Ulrich,

On Tue, Mar 12, 2019 at 8:29 PM Ulrich Sibiller <[email-masked]>
wrote:

> On Tue, Mar 12, 2019 at 12:38 PM Yan Zhang <[email-masked]> wrote:
> >
> > Package: x2goclient
> > Version: 4.1.2.0
> >
> > I am using Emacs 24.5.1 with x2go client version 4.1.2.0 in Windows 10.
> My server OS is Ubuntu 16.04 and the x2goserver comes from the PPA repo.
> >
> > The problem happens if I hit "ctrl+space" to start mark region in Emacs
> and then press down "ctrl+n" to scroll down the region for a few seconds.
> Usually after I release "ctrl+n", Emacs will leave the currently marked
> region for further commands. But in the reported version of client, Emacs
> keeps scrolling down until it reaches the end of the file. There is no way
> to stop it within Emacs (e.g., "ctrl+g").
> >
> > I have tried to move the cursor by keeping "ctrl+n" pressed down. This
> issue does not happen after I release the key.
>
> I do not get the difference between this and the description above.
> Please explain!
>
>
The difference is whether I start mark region (by hitting "ctrl+space")
before moving cursor. The client will only stuck if I first start mark
region and then hold cursor-moving keys like "ctrl+n" or "ctrl+p" for a few
seconds.

> > This issue happens when the session type is either "XFCE" or "published
> application". I have not tested other session types as I do not have an
> environment for that. And client version 4.1.1.1 does not seem to have this
> issue.
>
> Please run "xev -event keyboard" inside the session and check if you
> see all the KeyPress and KeyRelease events for you keys. If anyone is
> missing this could explain your issue.
>
> Uli
>

 I tried "xev -event keyboard" in a XFCE session and did not observe any
missing keystrokes.

Thanks and regards,
Yan